<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref18.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::copy&#40;Node*&#41; - Synopsis::Parser::Error::~Error&#40;&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::copy&#40;Node*&#41; - Synopsis::Parser::Error::~Error&#40;&#41;</h1><div class="xref-name"><a id="Synopsis_mPTree_mcopy_lNode_S_r" /><h2 >Function Synopsis::PTree::copy&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#copy_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#82">Synopsis/PTree/operations.hh:82</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mdisplay_lconst.Node_S_cstd_mostream_A_cbool_cbool_r" /><h2 >Synopsis::PTree::display&#40;const Node*&#44;std::ostream&amp;&#44;bool&#44;bool&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#81">Synopsis/PTree/Display.hh:81</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mequal_lconst.Node_A_cconst.char_S_csize_t_r" /><h2 >Function Synopsis::PTree::equal&#40;const Node&amp;&#44;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#equal_lconst.Node_A_cconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#23">Synopsis/PTree/operations.hh:23</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mequal_lconst.Node_S_cconst.Node_S_r" /><h2 >Function Synopsis::PTree::equal&#40;const Node*&#44;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#equal_lconst.Node_S_cconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#24">Synopsis/PTree/operations.hh:24</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mequiv_lconst.Node_S_cconst.Node_S_r" /><h2 >Function Synopsis::PTree::equiv&#40;const Node*&#44;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#equiv_lconst.Node_S_cconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#25">Synopsis/PTree/operations.hh:25</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mfirst_lNode_S_r" /><h2 >Function Synopsis::PTree::first&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#first_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#32">Synopsis/PTree/operations.hh:32</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mfirst_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::first&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#first_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#31">Synopsis/PTree/operations.hh:31</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mgenerate_dot_file_lconst.Node_S_cstd_mostream_A_r" /><h2 >Synopsis::PTree::generate_dot_file&#40;const Node*&#44;std::ostream&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#97">Synopsis/PTree/Display.hh:97</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mis_a_lconst.Node_S_cToken_mType_r" /><h2 >Synopsis::PTree::is_a&#40;const Node*&#44;Token::Type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#94">Synopsis/PTree/TypeVisitor.hh:94</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mis_a_lconst.Node_S_cToken_mType_cToken_mType_r" /><h2 >Synopsis::PTree::is_a&#40;const Node*&#44;Token::Type&#44;Token::Type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#102">Synopsis/PTree/TypeVisitor.hh:102</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mis_a_lconst.Node_S_cToken_mType_cToken_mType_cToken_mType_r" /><h2 >Synopsis::PTree::is_a&#40;const Node*&#44;Token::Type&#44;Token::Type&#44;Token::Type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#110">Synopsis/PTree/TypeVisitor.hh:110</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlast_lNode_S_r" /><h2 >Function Synopsis::PTree::last&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#last_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#30">Synopsis/PTree/operations.hh:30</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlast_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::last&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#last_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#28">Synopsis/PTree/operations.hh:28</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#103">Synopsis/PTree/operations.hh:103</a>: in function template <a href="../Scopes/Synopsis/PTree.html#nconc_lN_S_cNode_S_r" >Synopsis::PTree::nconc&#40;N*&#44;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlength_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::length&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#length_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#60">Synopsis/PTree/operations.hh:60</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_l_r" /><h2 >Function Synopsis::PTree::list&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#71">Synopsis/PTree/operations.hh:71</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#72">Synopsis/PTree/operations.hh:72</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#73">Synopsis/PTree/operations.hh:73</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#74">Synopsis/PTree/operations.hh:74</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#75">Synopsis/PTree/operations.hh:75</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#76">Synopsis/PTree/operations.hh:76</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#77">Synopsis/PTree/operations.hh:77</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#78">Synopsis/PTree/operations.hh:78</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mlist_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#80">Synopsis/PTree/operations.hh:80</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mnconc_lN_S_cNode_S_r" /><h2 >Function template Synopsis::PTree::nconc&#40;N*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#nconc_lN_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#100">Synopsis/PTree/operations.hh:100</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mnconc_lNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::nconc&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#nconc_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#98">Synopsis/PTree/operations.hh:98</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#110">Synopsis/PTree/operations.hh:110</a>: in function template <a href="../Scopes/Synopsis/PTree.html#snoc_lN_S_cNode_S_r" >Synopsis::PTree::snoc&#40;N*&#44;Node*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mnconc_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::nconc&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#nconc_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#99">Synopsis/PTree/operations.hh:99</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mnth_lNode_S_csize_t_r" /><h2 >Function Synopsis::PTree::nth&#40;Node*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#nth_lNode_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#40">Synopsis/PTree/operations.hh:40</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mnth_lconst.Node_S_csize_t_r" /><h2 >Function Synopsis::PTree::nth&#40;const Node*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#nth_lconst.Node_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#35">Synopsis/PTree/operations.hh:35</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_n_e_lconst.Node_A_cchar_r" /><h2 >Function Synopsis::PTree::operator!=&#40;const Node&amp;&#44;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_n_e_lconst.Node_A_cchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#18">Synopsis/PTree/operations.hh:18</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_n_e_lconst.Node_A_cconst.Node_A_r" /><h2 >Function Synopsis::PTree::operator!=&#40;const Node&amp;&#44;const Node&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_n_e_lconst.Node_A_cconst.Node_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#22">Synopsis/PTree/operations.hh:22</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_n_e_lconst.Node_A_cconst.char_S_r" /><h2 >Function Synopsis::PTree::operator!=&#40;const Node&amp;&#44;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_n_e_lconst.Node_A_cconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#20">Synopsis/PTree/operations.hh:20</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_L_lconst.Encoding_A_cconst.Encoding_A_r" /><h2 >Function Synopsis::PTree::operator&lt;&#40;const Encoding&amp;&#44;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#205">Synopsis/PTree/Encoding.hh:205</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_L_L_lstd_mostream_A_cconst.Encoding_A_r" /><h2 >Synopsis::PTree::operator&lt;&lt;&#40;std::ostream&amp;&#44;const Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#210">Synopsis/PTree/Encoding.hh:210</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_e_e_lconst.Node_A_cchar_r" /><h2 >Function Synopsis::PTree::operator==&#40;const Node&amp;&#44;char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cchar_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#17">Synopsis/PTree/operations.hh:17</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_e_e_lconst.Node_A_cconst.Node_A_r" /><h2 >Function Synopsis::PTree::operator==&#40;const Node&amp;&#44;const Node&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cconst.Node_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#21">Synopsis/PTree/operations.hh:21</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_moperator_e_e_lconst.Node_A_cconst.char_S_r" /><h2 >Function Synopsis::PTree::operator==&#40;const Node&amp;&#44;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#19">Synopsis/PTree/operations.hh:19</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mreify_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::reify&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#reify_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#38">Synopsis/PTree/Writer.hh:38</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mreplace_all_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::replace_all&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#replace_all_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#84">Synopsis/PTree/operations.hh:84</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mrest_lNode_S_r" /><h2 >Function Synopsis::PTree::rest&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#rest_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#34">Synopsis/PTree/operations.hh:34</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mrest_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::rest&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#rest_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#33">Synopsis/PTree/operations.hh:33</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msecond_lNode_S_r" /><h2 >Function Synopsis::PTree::second&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#second_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#57">Synopsis/PTree/operations.hh:57</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msecond_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::second&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#second_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#56">Synopsis/PTree/operations.hh:56</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::shallow_subst&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#shallow_subst_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#89">Synopsis/PTree/operations.hh:89</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::shallow_subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#90">Synopsis/PTree/operations.hh:90</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::shallow_subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#91">Synopsis/PTree/operations.hh:91</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mshallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::shallow_subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#93">Synopsis/PTree/operations.hh:93</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msnoc_lN_S_cNode_S_r" /><h2 >Function template Synopsis::PTree::snoc&#40;N*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#snoc_lN_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#108">Synopsis/PTree/operations.hh:108</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msnoc_lNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::snoc&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#snoc_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#107">Synopsis/PTree/operations.hh:107</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::subst&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#subst_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#85">Synopsis/PTree/operations.hh:85</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#86">Synopsis/PTree/operations.hh:86</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msubst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#87">Synopsis/PTree/operations.hh:87</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_msubst_sublist_lNode_S_cNode_S_cNode_S_r" /><h2 >Function Synopsis::PTree::subst_sublist&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#subst_sublist_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#95">Synopsis/PTree/operations.hh:95</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mtail_lNode_S_csize_t_r" /><h2 >Function Synopsis::PTree::tail&#40;Node*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#tail_lNode_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#50">Synopsis/PTree/operations.hh:50</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mtail_lconst.Node_S_csize_t_r" /><h2 >Function Synopsis::PTree::tail&#40;const Node*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#tail_lconst.Node_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#45">Synopsis/PTree/operations.hh:45</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mthird_lNode_S_r" /><h2 >Function Synopsis::PTree::third&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#third_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#59">Synopsis/PTree/operations.hh:59</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mthird_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::third&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#third_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#58">Synopsis/PTree/operations.hh:58</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#205">Synopsis/PTree/Lists.hh:205</a>: in member function <a href="../Scopes/Synopsis/PTree/ClassSpec.html#base_clause_l_rconst" >Synopsis::PTree::ClassSpec::base_clause&#40;&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mtype_of_lconst.Node_S_r" /><h2 >Function Synopsis::PTree::type_of&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html#type_of_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#87">Synopsis/PTree/TypeVisitor.hh:87</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser" /><h2 >Class Synopsis::Parser</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#29">Synopsis/Parser.hh:29</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#71">Synopsis/Parser.hh:71</a>: in class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >Synopsis::Parser::StatusGuard</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parser.hh.html#33">Synopsis/Parser.hh:33</a>: Enum <a href="../Scopes/Synopsis/Parser.html#RuleSet" >RuleSet</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#37">Synopsis/Parser.hh:37</a>: Class <a href="../Scopes/Synopsis/Parser/Error.html" >Error</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#43">Synopsis/Parser.hh:43</a>: Typedef <a href="../Scopes/Synopsis/Parser.html#ErrorList" >ErrorList</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#45">Synopsis/Parser.hh:45</a>: Constructor <a href="../Scopes/Synopsis/Parser.html#Parser_lLexer_A_cSymbolFactory_A_cint_r" >Parser&#40;Lexer&amp;&#44;SymbolFactory&amp;&#44;int&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#46">Synopsis/Parser.hh:46</a>: Destructor <a href="../Scopes/Synopsis/Parser.html#_tParser_l_r" >~Parser&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#48">Synopsis/Parser.hh:48</a>: Member function <a href="../Scopes/Synopsis/Parser.html#errors_l_rconst" >errors&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#52">Synopsis/Parser.hh:52</a>: Member function <a href="../Scopes/Synopsis/Parser.html#origin_lconst.char_S_cstd_mstring_A_rconst" >origin&#40;const char*&#44;std::string&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#54">Synopsis/Parser.hh:54</a>: Member function <a href="../Scopes/Synopsis/Parser.html#parse_l_r" >parse&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#57">Synopsis/Parser.hh:57</a>: Enum <a href="../Scopes/Synopsis/Parser.html#DeclKind" >DeclKind</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#58">Synopsis/Parser.hh:58</a>: Enum <a href="../Scopes/Synopsis/Parser.html#TemplateDeclKind" >TemplateDeclKind</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#61">Synopsis/Parser.hh:61</a>: Struct <a href="../Scopes/Synopsis/Parser.html#ScopeGuard" >ScopeGuard</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#68">Synopsis/Parser.hh:68</a>: Class <a href="../Scopes/Synopsis/Parser/StatusGuard.html" >StatusGuard</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#85">Synopsis/Parser.hh:85</a>: Member function <a href="../Scopes/Synopsis/Parser.html#mark_error_l_r" >mark_error&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#87">Synopsis/Parser.hh:87</a>: Member function template <a href="../Scopes/Synopsis/Parser.html#declare_lT_S_r" >declare&#40;T*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#88">Synopsis/Parser.hh:88</a>: Member function <a href="../Scopes/Synopsis/Parser.html#show_message_head_lconst.char_S_r" >show_message_head&#40;const char*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#90">Synopsis/Parser.hh:90</a>: Member function <a href="../Scopes/Synopsis/Parser.html#definition_lPTree_mNode_S_A_r" >definition&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#91">Synopsis/Parser.hh:91</a>: Member function <a href="../Scopes/Synopsis/Parser.html#null_declaration_lPTree_mNode_S_A_r" >null_declaration&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#92">Synopsis/Parser.hh:92</a>: Member function <a href="../Scopes/Synopsis/Parser.html#typedef__lPTree_mTypedef_S_A_r" >typedef_&#40;PTree::Typedef*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#93">Synopsis/Parser.hh:93</a>: Member function <a href="../Scopes/Synopsis/Parser.html#type_specifier_lPTree_mNode_S_A_cbool_cPTree_mEncoding_A_r" >type_specifier&#40;PTree::Node*&amp;&#44;bool&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#94">Synopsis/Parser.hh:94</a>: Member function <a href="../Scopes/Synopsis/Parser.html#is_type_specifier_l_r" >is_type_specifier&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#95">Synopsis/Parser.hh:95</a>: Member function <a href="../Scopes/Synopsis/Parser.html#metaclass_decl_lPTree_mNode_S_A_r" >metaclass_decl&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#96">Synopsis/Parser.hh:96</a>: Member function <a href="../Scopes/Synopsis/Parser.html#meta_arguments_lPTree_mNode_S_A_r" >meta_arguments&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#97">Synopsis/Parser.hh:97</a>: Member function <a href="../Scopes/Synopsis/Parser.html#linkage_spec_lPTree_mNode_S_A_r" >linkage_spec&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#98">Synopsis/Parser.hh:98</a>: Member function <a href="../Scopes/Synopsis/Parser.html#namespace_spec_lPTree_mNamespaceSpec_S_A_r" >namespace_spec&#40;PTree::NamespaceSpec*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#99">Synopsis/Parser.hh:99</a>: Member function <a href="../Scopes/Synopsis/Parser.html#namespace_alias_lPTree_mNamespaceAlias_S_A_r" >namespace_alias&#40;PTree::NamespaceAlias*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#100">Synopsis/Parser.hh:100</a>: Member function <a href="../Scopes/Synopsis/Parser.html#using_directive_lPTree_mUsingDirective_S_A_r" >using_directive&#40;PTree::UsingDirective*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#101">Synopsis/Parser.hh:101</a>: Member function <a href="../Scopes/Synopsis/Parser.html#using_declaration_lPTree_mUsingDeclaration_S_A_r" >using_declaration&#40;PTree::UsingDeclaration*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#102">Synopsis/Parser.hh:102</a>: Member function <a href="../Scopes/Synopsis/Parser.html#linkage_body_lPTree_mNode_S_A_r" >linkage_body&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#103">Synopsis/Parser.hh:103</a>: Member function <a href="../Scopes/Synopsis/Parser.html#template_decl_lPTree_mNode_S_A_r" >template_decl&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#104">Synopsis/Parser.hh:104</a>: Member function <a href="../Scopes/Synopsis/Parser.html#template_decl2_lPTree_mTemplateDecl_S_A_cTemplateDeclKind_A_r" >template_decl2&#40;PTree::TemplateDecl*&amp;&#44;TemplateDeclKind&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#110">Synopsis/Parser.hh:110</a>: Member function <a href="../Scopes/Synopsis/Parser.html#template_parameter_list_lPTree_mList_S_A_r" >template_parameter_list&#40;PTree::List*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#116">Synopsis/Parser.hh:116</a>: Member function <a href="../Scopes/Synopsis/Parser.html#template_parameter_lPTree_mNode_S_A_r" >template_parameter&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#126">Synopsis/Parser.hh:126</a>: Member function <a href="../Scopes/Synopsis/Parser.html#type_parameter_lPTree_mNode_S_A_r" >type_parameter&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#132">Synopsis/Parser.hh:132</a>: Member function <a href="../Scopes/Synopsis/Parser.html#extern_template_decl_lPTree_mNode_S_A_r" >extern_template_decl&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#134">Synopsis/Parser.hh:134</a>: Member function <a href="../Scopes/Synopsis/Parser.html#declaration_lPTree_mDeclaration_S_A_r" >declaration&#40;PTree::Declaration*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#135">Synopsis/Parser.hh:135</a>: Member function <a href="../Scopes/Synopsis/Parser.html#integral_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" >integral_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#136">Synopsis/Parser.hh:136</a>: Member function <a href="../Scopes/Synopsis/Parser.html#const_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_r" >const_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#137">Synopsis/Parser.hh:137</a>: Member function <a href="../Scopes/Synopsis/Parser.html#other_declaration_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" >other_declaration&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#143">Synopsis/Parser.hh:143</a>: Member function <a href="../Scopes/Synopsis/Parser.html#condition_lPTree_mNode_S_A_r" >condition&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#145">Synopsis/Parser.hh:145</a>: Member function <a href="../Scopes/Synopsis/Parser.html#is_constructor_decl_l_r" >is_constructor_decl&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#146">Synopsis/Parser.hh:146</a>: Member function <a href="../Scopes/Synopsis/Parser.html#is_ptr_to_member_lint_r" >is_ptr_to_member&#40;int&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#147">Synopsis/Parser.hh:147</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_member_spec_lPTree_mNode_S_A_r" >opt_member_spec&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#157">Synopsis/Parser.hh:157</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_storage_spec_lPTree_mNode_S_A_r" >opt_storage_spec&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#164">Synopsis/Parser.hh:164</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_cv_qualifier_lPTree_mNode_S_A_r" >opt_cv_qualifier&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#165">Synopsis/Parser.hh:165</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_integral_type_or_class_spec_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >opt_integral_type_or_class_spec&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#166">Synopsis/Parser.hh:166</a>: Member function <a href="../Scopes/Synopsis/Parser.html#constructor_decl_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >constructor_decl&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#167">Synopsis/Parser.hh:167</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_throw_decl_lPTree_mNode_S_A_r" >opt_throw_decl&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#170">Synopsis/Parser.hh:170</a>: Member function <a href="../Scopes/Synopsis/Parser.html#init_declarator_list_lPTree_mNode_S_A_cPTree_mEncoding_A_cbool_cbool_r" >init_declarator_list&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#171">Synopsis/Parser.hh:171</a>: Member function <a href="../Scopes/Synopsis/Parser.html#init_declarator_lPTree_mNode_S_A_cPTree_mEncoding_A_cbool_cbool_r" >init_declarator&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#174">Synopsis/Parser.hh:174</a>: Member function <a href="../Scopes/Synopsis/Parser.html#declarator_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_r" >declarator&#40;PTree::Node*&amp;&#44;DeclKind&#44;bool&#44;PTree::Encoding&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#177">Synopsis/Parser.hh:177</a>: Member function <a href="../Scopes/Synopsis/Parser.html#declarator2_lPTree_mNode_S_A_cDeclKind_cbool_cPTree_mEncoding_A_cPTree_mEncoding_A_cbool_cbool_cPTree_mNode_S_S_r" >declarator2&#40;PTree::Node*&amp;&#44;DeclKind&#44;bool&#44;PTree::Encoding&amp;&#44;PTree::Encoding&amp;&#44;bool&#44;bool&#44;PTree::Node**&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#178">Synopsis/Parser.hh:178</a>: Member function <a href="../Scopes/Synopsis/Parser.html#opt_ptr_operator_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >opt_ptr_operator&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#179">Synopsis/Parser.hh:179</a>: Member function <a href="../Scopes/Synopsis/Parser.html#member_initializers_lPTree_mNode_S_A_r" >member_initializers&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#180">Synopsis/Parser.hh:180</a>: Member function <a href="../Scopes/Synopsis/Parser.html#member_init_lPTree_mNode_S_A_r" >member_init&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#182">Synopsis/Parser.hh:182</a>: Member function <a href="../Scopes/Synopsis/Parser.html#name_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#183">Synopsis/Parser.hh:183</a>: Member function <a href="../Scopes/Synopsis/Parser.html#operator_name_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >operator_name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#184">Synopsis/Parser.hh:184</a>: Member function <a href="../Scopes/Synopsis/Parser.html#cast_operator_name_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >cast_operator_name&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#185">Synopsis/Parser.hh:185</a>: Member function <a href="../Scopes/Synopsis/Parser.html#ptr_to_member_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >ptr_to_member&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#186">Synopsis/Parser.hh:186</a>: Member function <a href="../Scopes/Synopsis/Parser.html#template_args_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >template_args&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#189">Synopsis/Parser.hh:189</a>: Member function <a href="../Scopes/Synopsis/Parser.html#parameter_declaration_list_or_init_lPTree_mNode_S_A_cbool_A_cPTree_mEncoding_A_cbool_r" >parameter_declaration_list_or_init&#40;PTree::Node*&amp;&#44;bool&amp;&#44;PTree::Encoding&amp;&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#190">Synopsis/Parser.hh:190</a>: Member function <a href="../Scopes/Synopsis/Parser.html#parameter_declaration_list_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >parameter_declaration_list&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#198">Synopsis/Parser.hh:198</a>: Member function <a href="../Scopes/Synopsis/Parser.html#parameter_declaration_lPTree_mParameterDeclaration_S_A_cPTree_mEncoding_A_r" >parameter_declaration&#40;PTree::ParameterDeclaration*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#200">Synopsis/Parser.hh:200</a>: Member function <a href="../Scopes/Synopsis/Parser.html#function_arguments_lPTree_mNode_S_A_r" >function_arguments&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#201">Synopsis/Parser.hh:201</a>: Member function <a href="../Scopes/Synopsis/Parser.html#designation_lPTree_mNode_S_A_r" >designation&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#202">Synopsis/Parser.hh:202</a>: Member function <a href="../Scopes/Synopsis/Parser.html#initialize_expr_lPTree_mNode_S_A_r" >initialize_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#204">Synopsis/Parser.hh:204</a>: Member function <a href="../Scopes/Synopsis/Parser.html#enum_spec_lPTree_mEnumSpec_S_A_cPTree_mEncoding_A_r" >enum_spec&#40;PTree::EnumSpec*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#205">Synopsis/Parser.hh:205</a>: Member function <a href="../Scopes/Synopsis/Parser.html#enum_body_lPTree_mNode_S_A_r" >enum_body&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#206">Synopsis/Parser.hh:206</a>: Member function <a href="../Scopes/Synopsis/Parser.html#class_spec_lPTree_mClassSpec_S_A_cPTree_mEncoding_A_r" >class_spec&#40;PTree::ClassSpec*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#221">Synopsis/Parser.hh:221</a>: Member function <a href="../Scopes/Synopsis/Parser.html#base_clause_lPTree_mNode_S_A_r" >base_clause&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#222">Synopsis/Parser.hh:222</a>: Member function <a href="../Scopes/Synopsis/Parser.html#class_body_lPTree_mClassBody_S_A_r" >class_body&#40;PTree::ClassBody*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#223">Synopsis/Parser.hh:223</a>: Member function <a href="../Scopes/Synopsis/Parser.html#class_member_lPTree_mNode_S_A_r" >class_member&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#224">Synopsis/Parser.hh:224</a>: Member function <a href="../Scopes/Synopsis/Parser.html#access_decl_lPTree_mNode_S_A_r" >access_decl&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#225">Synopsis/Parser.hh:225</a>: Member function <a href="../Scopes/Synopsis/Parser.html#user_access_spec_lPTree_mNode_S_A_r" >user_access_spec&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#231">Synopsis/Parser.hh:231</a>: Member function <a href="../Scopes/Synopsis/Parser.html#expression_lPTree_mNode_S_A_r" >expression&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#238">Synopsis/Parser.hh:238</a>: Member function <a href="../Scopes/Synopsis/Parser.html#assign_expr_lPTree_mNode_S_A_r" >assign_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#244">Synopsis/Parser.hh:244</a>: Member function <a href="../Scopes/Synopsis/Parser.html#conditional_expr_lPTree_mNode_S_A_r" >conditional_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#250">Synopsis/Parser.hh:250</a>: Member function <a href="../Scopes/Synopsis/Parser.html#logical_or_expr_lPTree_mNode_S_A_r" >logical_or_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#256">Synopsis/Parser.hh:256</a>: Member function <a href="../Scopes/Synopsis/Parser.html#logical_and_expr_lPTree_mNode_S_A_r" >logical_and_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#262">Synopsis/Parser.hh:262</a>: Member function <a href="../Scopes/Synopsis/Parser.html#inclusive_or_expr_lPTree_mNode_S_A_r" >inclusive_or_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#268">Synopsis/Parser.hh:268</a>: Member function <a href="../Scopes/Synopsis/Parser.html#exclusive_or_expr_lPTree_mNode_S_A_r" >exclusive_or_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#274">Synopsis/Parser.hh:274</a>: Member function <a href="../Scopes/Synopsis/Parser.html#and_expr_lPTree_mNode_S_A_r" >and_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#281">Synopsis/Parser.hh:281</a>: Member function <a href="../Scopes/Synopsis/Parser.html#equality_expr_lPTree_mNode_S_A_r" >equality_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#290">Synopsis/Parser.hh:290</a>: Member function <a href="../Scopes/Synopsis/Parser.html#relational_expr_lPTree_mNode_S_A_r" >relational_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#297">Synopsis/Parser.hh:297</a>: Member function <a href="../Scopes/Synopsis/Parser.html#shift_expr_lPTree_mNode_S_A_r" >shift_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#304">Synopsis/Parser.hh:304</a>: Member function <a href="../Scopes/Synopsis/Parser.html#additive_expr_lPTree_mNode_S_A_r" >additive_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#312">Synopsis/Parser.hh:312</a>: Member function <a href="../Scopes/Synopsis/Parser.html#multiplicative_expr_lPTree_mNode_S_A_r" >multiplicative_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#319">Synopsis/Parser.hh:319</a>: Member function <a href="../Scopes/Synopsis/Parser.html#pm_expr_lPTree_mNode_S_A_r" >pm_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#325">Synopsis/Parser.hh:325</a>: Member function <a href="../Scopes/Synopsis/Parser.html#cast_expr_lPTree_mNode_S_A_r" >cast_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#330">Synopsis/Parser.hh:330</a>: Member function <a href="../Scopes/Synopsis/Parser.html#type_id_lPTree_mNode_S_A_r" >type_id&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#331">Synopsis/Parser.hh:331</a>: Member function <a href="../Scopes/Synopsis/Parser.html#type_id_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >type_id&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#352">Synopsis/Parser.hh:352</a>: Member function <a href="../Scopes/Synopsis/Parser.html#unary_expr_lPTree_mNode_S_A_r" >unary_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#357">Synopsis/Parser.hh:357</a>: Member function <a href="../Scopes/Synopsis/Parser.html#throw_expr_lPTree_mNode_S_A_r" >throw_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#363">Synopsis/Parser.hh:363</a>: Member function <a href="../Scopes/Synopsis/Parser.html#sizeof_expr_lPTree_mNode_S_A_r" >sizeof_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#365">Synopsis/Parser.hh:365</a>: Member function <a href="../Scopes/Synopsis/Parser.html#offsetof_expr_lPTree_mNode_S_A_r" >offsetof_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#371">Synopsis/Parser.hh:371</a>: Member function <a href="../Scopes/Synopsis/Parser.html#typeid_expr_lPTree_mNode_S_A_r" >typeid_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#372">Synopsis/Parser.hh:372</a>: Member function <a href="../Scopes/Synopsis/Parser.html#is_allocate_expr_lToken_mType_r" >is_allocate_expr&#40;Token::Type&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#373">Synopsis/Parser.hh:373</a>: Member function <a href="../Scopes/Synopsis/Parser.html#allocate_expr_lPTree_mNode_S_A_r" >allocate_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#374">Synopsis/Parser.hh:374</a>: Member function <a href="../Scopes/Synopsis/Parser.html#userdef_keyword_lPTree_mNode_S_A_r" >userdef_keyword&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#375">Synopsis/Parser.hh:375</a>: Member function <a href="../Scopes/Synopsis/Parser.html#allocate_type_lPTree_mNode_S_A_r" >allocate_type&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#376">Synopsis/Parser.hh:376</a>: Member function <a href="../Scopes/Synopsis/Parser.html#new_declarator_lPTree_mDeclarator_S_A_cPTree_mEncoding_A_r" >new_declarator&#40;PTree::Declarator*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#377">Synopsis/Parser.hh:377</a>: Member function <a href="../Scopes/Synopsis/Parser.html#allocate_initializer_lPTree_mNode_S_A_r" >allocate_initializer&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#378">Synopsis/Parser.hh:378</a>: Member function <a href="../Scopes/Synopsis/Parser.html#postfix_expr_lPTree_mNode_S_A_r" >postfix_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#379">Synopsis/Parser.hh:379</a>: Member function <a href="../Scopes/Synopsis/Parser.html#primary_expr_lPTree_mNode_S_A_r" >primary_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#380">Synopsis/Parser.hh:380</a>: Member function <a href="../Scopes/Synopsis/Parser.html#typeof_expr_lPTree_mNode_S_A_r" >typeof_expr&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#381">Synopsis/Parser.hh:381</a>: Member function <a href="../Scopes/Synopsis/Parser.html#userdef_statement_lPTree_mNode_S_A_r" >userdef_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#382">Synopsis/Parser.hh:382</a>: Member function <a href="../Scopes/Synopsis/Parser.html#var_name_lPTree_mNode_S_A_r" >var_name&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#383">Synopsis/Parser.hh:383</a>: Member function <a href="../Scopes/Synopsis/Parser.html#var_name_core_lPTree_mNode_S_A_cPTree_mEncoding_A_r" >var_name_core&#40;PTree::Node*&amp;&#44;PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#384">Synopsis/Parser.hh:384</a>: Member function <a href="../Scopes/Synopsis/Parser.html#is_template_args_l_r" >is_template_args&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#389">Synopsis/Parser.hh:389</a>: Member function <a href="../Scopes/Synopsis/Parser.html#function_body_lPTree_mBlock_S_A_r" >function_body&#40;PTree::Block*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#394">Synopsis/Parser.hh:394</a>: Member function <a href="../Scopes/Synopsis/Parser.html#compound_statement_lPTree_mBlock_S_A_cbool_r" >compound_statement&#40;PTree::Block*&amp;&#44;bool&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#395">Synopsis/Parser.hh:395</a>: Member function <a href="../Scopes/Synopsis/Parser.html#statement_lPTree_mNode_S_A_r" >statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#401">Synopsis/Parser.hh:401</a>: Member function <a href="../Scopes/Synopsis/Parser.html#if_statement_lPTree_mNode_S_A_r" >if_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#406">Synopsis/Parser.hh:406</a>: Member function <a href="../Scopes/Synopsis/Parser.html#switch_statement_lPTree_mNode_S_A_r" >switch_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#411">Synopsis/Parser.hh:411</a>: Member function <a href="../Scopes/Synopsis/Parser.html#while_statement_lPTree_mNode_S_A_r" >while_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#416">Synopsis/Parser.hh:416</a>: Member function <a href="../Scopes/Synopsis/Parser.html#do_statement_lPTree_mNode_S_A_r" >do_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#417">Synopsis/Parser.hh:417</a>: Member function <a href="../Scopes/Synopsis/Parser.html#for_statement_lPTree_mNode_S_A_r" >for_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#437">Synopsis/Parser.hh:437</a>: Member function <a href="../Scopes/Synopsis/Parser.html#try_block_lPTree_mNode_S_A_r" >try_block&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#439">Synopsis/Parser.hh:439</a>: Member function <a href="../Scopes/Synopsis/Parser.html#expr_statement_lPTree_mNode_S_A_r" >expr_statement&#40;PTree::Node*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#440">Synopsis/Parser.hh:440</a>: Member function <a href="../Scopes/Synopsis/Parser.html#declaration_statement_lPTree_mDeclaration_S_A_r" >declaration_statement&#40;PTree::Declaration*&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#441">Synopsis/Parser.hh:441</a>: Member function <a href="../Scopes/Synopsis/Parser.html#integral_decl_statement_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_cPTree_mNode_S_r" >integral_decl_statement&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#44;PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#442">Synopsis/Parser.hh:442</a>: Member function <a href="../Scopes/Synopsis/Parser.html#other_decl_statement_lPTree_mDeclaration_S_A_cPTree_mEncoding_A_cPTree_mNode_S_cPTree_mNode_S_r" >other_decl_statement&#40;PTree::Declaration*&amp;&#44;PTree::Encoding&amp;&#44;PTree::Node*&#44;PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#444">Synopsis/Parser.hh:444</a>: Member function <a href="../Scopes/Synopsis/Parser.html#maybe_typename_or_class_template_lToken_A_r" >maybe_typename_or_class_template&#40;Token&amp;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#445">Synopsis/Parser.hh:445</a>: Member function <a href="../Scopes/Synopsis/Parser.html#skip_to_lToken_mType_r" >skip_to&#40;Token::Type&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#448">Synopsis/Parser.hh:448</a>: Member function <a href="../Scopes/Synopsis/Parser.html#more_var_name_l_r" >more_var_name&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#450">Synopsis/Parser.hh:450</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_lexer" >my_lexer</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#451">Synopsis/Parser.hh:451</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_ruleset" >my_ruleset</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#452">Synopsis/Parser.hh:452</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_symbols" >my_symbols</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#457">Synopsis/Parser.hh:457</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_scope_is_valid" >my_scope_is_valid</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#458">Synopsis/Parser.hh:458</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_errors" >my_errors</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#459">Synopsis/Parser.hh:459</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_comments" >my_comments</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#462">Synopsis/Parser.hh:462</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_gt_is_operator" >my_gt_is_operator</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#463">Synopsis/Parser.hh:463</a>: Data member <a href="../Scopes/Synopsis/Parser.html#my_in_template_decl" >my_in_template_decl</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mCXX" /><h2 >Enumerator Synopsis::Parser::CXX</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#CXX" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#33">Synopsis/Parser.hh:33</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mDeclKind" /><h2 >Enum Synopsis::Parser::DeclKind</h2><ul>
<li><a href="../Scopes/Synopsis/Parser.html#DeclKind" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#57">Synopsis/Parser.hh:57</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#172">Synopsis/Parser.hh:172</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#175">Synopsis/Parser.hh:175</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mError" /><h2 >Class Synopsis::Parser::Error</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/Error.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#37">Synopsis/Parser.hh:37</a>: in class <a href="../Scopes/Synopsis/Parser/Error.html" >Synopsis::Parser::Error</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#43">Synopsis/Parser.hh:43</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Parser.hh.html#40">Synopsis/Parser.hh:40</a>: Destructor <a href="../Scopes/Synopsis/Parser/Error.html#_tError_l_r" >~Error&#40;&#41;</a></li><li ><a href="../Source/Synopsis/Parser.hh.html#41">Synopsis/Parser.hh:41</a>: Member function <a href="../Scopes/Synopsis/Parser/Error.html#write_lstd_mostream_A_rconst" >write&#40;std::ostream&amp;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mError_mwrite_lstd_mostream_A_rconst" /><h2 >Synopsis::Parser::Error::write&#40;std::ostream&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#41">Synopsis/Parser.hh:41</a>: in class <a href="../Scopes/Synopsis/Parser/Error.html" >Synopsis::Parser::Error</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mParser_mError_m_tError_l_r" /><h2 >Destructor Synopsis::Parser::Error::~Error&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Parser/Error.html#_tError_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Parser.hh.html#40">Synopsis/Parser.hh:40</a>: in class <a href="../Scopes/Synopsis/Parser/Error.html" >Synopsis::Parser::Error</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
